﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */

/*.select2 {
    color: #434a54 !important;
    
}*/
select.form-control {
    padding-left: 10px;
}

.error {
    color: #f96868 !important;
    font-size: 11px !important;
    margin-bottom:0px;
}
.field-validation-error {
    color: #f96868 !important;
    font-size: 13px !important;
}

.table > thead > tr > th[class*="sort"]:before,
.table > thead > tr > th[class*="sort"]:after  {
    display: none
}


.goal_btn {
    border-radius: 5px;
    overflow: hidden;
    background-color: #f2f4f8;
    text-align: center;
    vertical-align: middle;
}

.hovereffect {
    width: 100%;
    height: 100%;
    float: left;
    overflow: hidden;
    position: relative;
    text-align: center;
    cursor: default;
}

.hovereffect .overlay {
    width: 100%;
    height: 100%;
    position: absolute;
    overflow: hidden;
    top: 0;
    left: 0;
}

.hovereffect img {
    /* display: block;
    position: relative;*/
    -webkit-transition: all 0.4s ease-in;
    transition: all 0.4s ease-in;
}

.hovereffect:hover img {
    /*filter: url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg"><filter id="filter"><feColorMatrix type="matrix" color-interpolation-filters="sRGB" values="0.2126 0.7152 0.0722 0 0 0.2126 0.7152 0.0722 0 0 0.2126 0.7152 0.0722 0 0 0 0 0 1 0" /><feGaussianBlur stdDeviation="3" /></filter></svg>#filter');*/
     /*filter: grayscale(1) blur(3px);
    -webkit-filter: grayscale(1) blur(3px);*/
    -webkit-transform: scale(1.1);
    -ms-transform: scale(1.2);
    transform: scale(1.2);
}

.hovereffect h2 {
    text-transform: uppercase;
    text-align: center;
    position: relative;
    font-size: 17px;
    padding: 10px;
    background: rgba(0, 0, 0, 0.6);
}

.hovereffect a.info {
    display: inline-block;
    text-decoration: none;
    padding: 63px 14px 0px 14px;
    border: 1px solid white;
    margin: -10px 0px 0px 0px;
    background-color: rgba(0, 0, 0, 0.5);
    width: 100%;
    height: 162px;
    font-weight: 800;
}

    .hovereffect a.info:hover {
        box-shadow: 0 0 5px #fff;
    }

.hovereffect a.info, .hovereffect h2 {
    -webkit-transform: scale(0.7);
    -ms-transform: scale(0.7);
    transform: scale(0.7);
    -webkit-transition: all 0.4s ease-in;
    transition: all 0.4s ease-in;
    opacity: 0;
    filter: alpha(opacity=0);
    color: #fff;
    text-transform: uppercase;
}

.hovereffect:hover a.info, .hovereffect:hover h2 {
    opacity: 1;
    filter: alpha(opacity=100);
    -webkit-transform: scale(1);
    -ms-transform: scale(1);
    transform: scale(1);
}

.table > thead > tr > th[class*="sort"]:before,
.table > thead > tr > th[class*="sort"]:after {
    display: none
}
.modal .modal-dialog .modal-content .modal-header .close span {
    font-size: 35px !important;
    font-weight: 800;
    color: white;
    background-color:red
}

.modal .modal-header .close {
    background: red !important;
}
.modal-header { 
    padding: 1.25rem 1.25rem 1rem 1.25rem;
}
.modal-body {
    padding-left: 2.25rem;
    padding-right: 2.25rem;
}


    @media (min-width: 992px) {
        .modal-md {
            max-width: 62%;
        }
    }
@media (min-width: 992px) {
    .modal-md-80 {
        max-width: 80%;
    }
}
.form-group {
    margin-bottom:7px;
}

textarea {
    resize: none;
    white-space: normal;
    overflow-y: scroll; 
}


#advdatatable tbody tr.odd, #advdatatable tbody tr.odd td.highlighted {
    background-image: linear-gradient(to right, #BDFFF3 0%, #E6FF99 100%, #4AC29A 100%);
    box-shadow: 0 0 20px #eee;
}

#advdatatable tbody tr.even:hover, #advdatatable tbody tr.even td.highlighted {
    background-color: #ECFFB3;
}

#advdatatable tbody tr.odd:hover, #advdatatable tbody tr.odd td.highlighted {
    background-color: #E6FF99;
}

#advdatatable tr.even:hover {
    background-color: #ECFFB3;
}

    /*#advdatatable tr.even:hover td.sorting_1 {
        background-color: #DDFF75;
    }

    #advdatatable tr.even:hover td.sorting_2 {
        background-color: #E7FF9E;
    }

    #advdatatable tr.even:hover td.sorting_3 {
        background-color: #E2FF89;
    }*/

#advdatatable tr.odd:hover td {
    background-color: #E6FF99;
}
/*
    #advdatatable tr.odd:hover td.sorting_1 {
        background-color: #D6FF5C;
    }

    #advdatatable tr.odd:hover td.sorting_2 {
        background-color: #E0FF84;
    }

    #advdatatable tr.odd:hover td.sorting_3 {
        background-color: #DBFF70;
    }*/